GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference
These docs are for v2024-03-01. Click to read the latest docs for v2026-02-01.

Get State Tax Requirements

Get all tax requirements for a given state.

Metadata Examples

{
  "type": "select",
  "options": [
    { "label": "Semiweekly",  value: "Semi-weekly" },
    { "label": "Monthly",  value: "Monthly" },
    { "label": "Quarterly",  value: "Quarterly" },
  ]
}
{
  "type": "radio",
  "options": [
    { "label": "No, we cannot reimburse",  value: false, short_label: "Not Reimbursable" },
    { "label": "Yes, we can reimburse",  value: true, short_label: "Reimbursable" },
  ]
}
{
  "type": "account_number",
  "mask": "######-##',
  "prefix": null
}
{
  "type": "tax_rate",
  "validation": {
    "type": "min_max",
    "min": "0.0004",
    "max": "0.081"
  }
}

scope: company_tax_requirements:read

Path Params
string
required

The UUID of the company

string
required

2-letter US state abbreviation

Query Params
boolean

When true, return "new" requirement sets with valid effective_from dates that are available to save new effective dated values.

Headers
string
enum
Defaults to 2024-03-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

404

Not Found

The requested resource does not exist. Make sure the provided UUID is valid.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json